Package: org.grails.gradle.plugin.profiles

## [Groovy] Class GrailsProfileGradlePlugin

- org.grails.gradle.plugin.profiles.GrailsProfileGradlePlugin

- A plugin that is capable of compiling a Grails profile into a JAR file for distribution

  Authors:
    Graeme Rocher
  Since:
    3.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `RUNTIME_CONFIGURATION` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.gradle.api.plugins.BasePlugin` | `CLEAN_TASK_NAME, ASSEMBLE_TASK_NAME, BUILD_GROUP, UPLOAD_ARCHIVES_TASK_NAME, UPLOAD_GROUP`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static java.lang.String` | `CONFIGURATION_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsProfileGradlePlugin (org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectPublicationRegistry publicationRegistry, org.gradle.configuration.project.ProjectConfigurationActionContainer configurationActionContainer, org.gradle.api.internal.artifacts.ImmutableModuleIdentifierFactory immutableModuleIdentifierFactory)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `apply(org.gradle.api.Project project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.gradle.api.plugins.BasePlugin` | `org.gradle.api.plugins.BasePlugin#apply(org.gradle.api.Project), org.gradle.api.plugins.BasePlugin#apply(java.lang.Object), org.gradle.api.plugins.BasePlugin#wait(long, int), org.gradle.api.plugins.BasePlugin#wait(long), org.gradle.api.plugins.BasePlugin#wait(), org.gradle.api.plugins.BasePlugin#equals(java.lang.Object), org.gradle.api.plugins.BasePlugin#toString(), org.gradle.api.plugins.BasePlugin#hashCode(), org.gradle.api.plugins.BasePlugin#getClass(), org.gradle.api.plugins.BasePlugin#notify(), org.gradle.api.plugins.BasePlugin#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String RUNTIME_CONFIGURATION

  - ### Property Detail

    - #### static final java.lang.String CONFIGURATION_NAME

  - ### Constructor Detail

    - #### @javax.inject.Inject GrailsProfileGradlePlugin(org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectPublicationRegistry publicationRegistry, org.gradle.configuration.project.ProjectConfigurationActionContainer configurationActionContainer, org.gradle.api.internal.artifacts.ImmutableModuleIdentifierFactory immutableModuleIdentifierFactory)

  - ### Method Detail

    - #### @java.lang.Override void apply(org.gradle.api.Project project)